<html><head>
<meta http-equiv=content-language content=zh-cn>
<meta http-equiv=content-type content="text/html; charset=gb2312">
<LINK href="../CSS/Base.css" rel=stylesheet>
<LINK href="../CSS/Tab.css" rel=stylesheet>
<style>
  td { padding:2px 5px 2px 5px;}
</style>
<link href="../CSS/Common.css" rel="stylesheet" type="text/css"/>
<script language=javascript src="../JS/CheckQuestion.js.php"></script>
<script>
function Check_Form_Validator()
{
   if (!CheckNotNull(document.Check_Form.maxnum, "最高分数量")) {return false;}
   if (!CheckNumber(document.Check_Form.maxnum, "最高分数量",0,10)) {return false;}
   if (!CheckNotNull(document.Check_Form.minnum, "最低分数量")) {return false;}
   if (!CheckNumber(document.Check_Form.minnum, "最低分数量",0,10)) {return false;}
   var valueType = getRadioCheckBoxValue(document.Check_Form.valueType);
   switch( valueType )
   {
		case '1':
		break;
		case '2':
			if (!CheckNotNull(document.getElementById("t_indicatorsID"), "选定计算排名的评价指标")) {return false;}
		break;
		case '3':
			if (!CheckNotNull(document.getElementById("t_questionID"), "选定计算排名的问卷问题")) {return false;}
		break;
	}
}
function copycode(obj) {
	var rng = document.body.createTextRange();
    rng.moveToElementText(obj);
    rng.scrollIntoView();
    rng.select();
    rng.execCommand("Copy");
    rng.collapse(false);
	alert("复制分析结果到剪贴板成功");
}
function ajax_Submit(url,postStr) {
	var ajax=false; 
	try { ajax = new ActiveXObject("Msxml2.XMLHTTP"); }
	catch (e) { try { ajax = new ActiveXObject("Microsoft.XMLHTTP"); } catch (E) { ajax = false; } }
	if (!ajax && typeof XMLHttpRequest!='undefined') ajax = new XMLHttpRequest(); 

	ajax.open("POST", url, true); 
	ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded"); 
	ajax.send(postStr);
	ajax.onreadystatechange = function(){
		if (ajax.readyState == 4)
		{
			if(ajax.status == 200)
			{
				var theRtnText = ajax.responseText;
				document.getElementById("dataTable").style.display = '';
				document.getElementById("dataCopyAction").style.display = '';
				document.getElementById("dataReportInner").innerHTML = theRtnText ;
			}
			else
			{
				alert('网络传输问题');
			}
		}	
	} 
}
function DataSubmit()
{
    if( Check_Form_Validator() != false )
	{
		var groupID = document.getElementById('t_groupID').value;
		var indicatorsID = document.getElementById('t_indicatorsID').value;
		var questionID = document.getElementById('t_questionID').value;
		var maxNum = document.getElementById('maxnum').value;
		var minNum = document.getElementById('minnum').value;
		var valueType = getRadioCheckBoxValue(document.Check_Form.valueType);
		var ParamString = "Action=DataTRankReportSubmit";
		ParamString += "&groupID="+groupID;
		ParamString += "&indicatorsID="+indicatorsID;
		ParamString += "&questionID="+questionID;
		ParamString += "&maxNum="+maxNum;
		ParamString += "&minNum="+minNum;
		ParamString += "&valueType="+valueType;
		ParamString += "&assessID={assessID}&surveyType={surveyType}";
		document.getElementById("dataTable").style.display = '';
		document.getElementById("dataReportInner").innerHTML = "<div id=\"preloading\" style=\"position:absolute;top:0;left:0;z-index:1;background-color:#f0f0f0;left:0;top:0;width:160px;overflow:hidden;white-space:nowrap;color:black;position:fixed;top:0;left:0;font-weight:bold;-moz-border-radius-bottomright:5px;-webkit-border-bottom-right-radius:5px;-khtml-border-bottom-right-radius:5px;border-bottom-right-radius:5px;\">&nbsp;<img src=\"..\/Images\/wait.gif\" width=\"16px\" height=\"16px\">&nbsp;正在加载数据分析&nbsp;<\/div>";
		ajax_Submit('IndexsScore.php?{thisURLString}',ParamString);
	}
}
function $(_sId){
	return document.getElementById(_sId);
}
function ResetInit()
{
	document.getElementById("dataTable").style.display = 'none';
	document.getElementById("dataCopyAction").style.display = 'none';
	document.getElementById("dataReportInner").innerHTML = '' ;
}
</script>
<META content="MSHTML 6.00.3790.0" name=GENERATOR></HEAD>
<body oncontextmenu="return false" style="margin-top:0px">

<div id="tabs1"> 
    <ul> 
        <li><a href="ShowMain.php"><span>我的问卷</span></a></li> 
        <li><a href="{countURL}"><span>频数频率分析</span></a></li> 
        <li><a href="{commitURL}"><span>参评率报告</span></a></li>
        <li><a href="{listURL}"><span>问卷回复详细</span></a></li>
        <li><a href="{dataChartURL}"><span>数据图形展示</span></a></li>
        <li><a href="{indexsURL}"><span>指标分值分析</span></a></li> 
        <li id="current"><a href="{rankURL}"><span>教师评教排名</span></a></li>
    </ul> 
</div> 

<div style="line-height:10px">&nbsp;</div>
<div class="wrap q_clear" id=wrap>
<div>
<div>
<div class=q_clear id=myheadertext><h1><span class=red>[{assessTitle}]</span>评教问卷教师评教排名</h1>&nbsp;<br/></div>
<div id=myname></div>

<table style="border-top: #b5cfd9 1px solid;border-bottom: #b5cfd9 1px solid;" width=100% id="dataTableW" cellspacing=0 cellpadding=0>
   <form name="Check_Form" method="post" action="" onsubmit="return Check_Form_Validator();">
   <tr><td height=8></td></tr>
   <tr><td>
	  <IMG SRC="../Images/search.gif">  <b>选择计算排名数据的范围：</b> <select name="t_groupID" id="t_groupID">
			<option value=''>请选择被评教师所在教研分组...</option>
			{groupList}
      </td></tr>
      <tr><td height=8></td></tr> 
	  <tr><td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<b>计算排名的类型：</b> <br/>
	  &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input type=radio name="valueType" value=1 id="valueType" checked> 教师在整个评卷问卷上的得分<br/>
	  &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input type=radio name="valueType" value=2 id="valueType"> 教师在问卷某个评价指标上的得分 <select name="t_indicatorsID" id="t_indicatorsID">
			<option value=''>请选择评教问卷指标...</option>
			{indicatorsList}
		</select> <br/>
	  &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input type=radio name="valueType" value=3 id="valueType"> 教师在问卷某个问题上的得分 <select name="t_questionID" id="t_questionID">
			<option value=''>请选择评教问卷问题...</option>
			{questionList}
		</select><br/>
	</td></tr>
	<tr><td height=8></td></tr>
	<tr><td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<b>数据置信区间：</b> 剔除&nbsp;<input name="maxnum" id="maxnum" size=6 value="1">&nbsp;个最高分与&nbsp;<input name="minnum" id="minnum" size=6 value="1">&nbsp;个最低分评教数据
	<tr><td height=8></td></tr>
    <tr><td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
         <input class=inputsubmit name="submit" type="button" id="submit" value="开始分析" onclick="javascript:DataSubmit();" > 
         <input class=inputsubmit name="reset" type="reset" id="reset" value="&nbsp;&nbsp;重置&nbsp;&nbsp;" onclick="javascript:ResetInit();" >
      </td>
    </tr>
	<tr><td height=8></td></tr>
  </form>
 </table>

 <table id="dataCopyAction" width=100% style="LINE-HEIGHT: 150%;border-collapse:collapse;display:none;" cellSpacing=0 cellPadding=0 borderColor=#b5cfd9 border=0>
  <tr><td align=right><a href="javascript:void(0)" onclick="copycode($('dataReportInner'));"><b>复制分析结果到剪贴板</b></a><img src="../Images/list_menu_arrow.gif" border=0>&nbsp;&nbsp;</td></tr></table>

  <table id="dataTable" style="LINE-HEIGHT: 150%;border-collapse:collapse;display:none;" cellSpacing=0 cellPadding=0 width="100%" borderColor=#b5cfd9 border=0>
   <tr><td id="dataInner" align=center style="padding-top:5px;padding-bottom:5px"><div id="dataReportInner"></div></td></tr>
 </table>

</div></div></div>
</body></html>
